//import java.util.Vector;
//
//public class HilbertCurve implements Notas {
//
//	public static int[] scalaTemperada = { C3, CF3, D3, DF3, E3, F3, FF3, G3, GF3, A3, AF3,
//			B3, C4 };
//	public static int[] scala4 = {C4, D4, E4, F4, G4, A4, B4, C5};
//	
//	public static final int UP = 0, LEFT = 1, DOWN = 2, RIGHT = 3;
//
//	private Vector<Integer> vals;
//	
//	int[] scala = scala4;
//
//	public HilbertCurve(Vector<Integer> v) {
//		this.vals = v;
//	}
//
//	public void hilbert(int level) {
//		hilbert(level, UP);
//	}
//
//	public void move(int direction) {
//		vals.addElement(direction);
//		// System.out.print(direction + ", ");
//	}
//
//	public void hilbert_level(int level, int direction) {
//		hilbert(level, direction);
//	}
//
//	public void hilbert(int level, int direction) {
//
//		if (level == 1) {
//
//			switch (direction) {
//
//			case LEFT:
//				move(RIGHT); /* move() puede dibujar una lnea en ... */
//				move(DOWN); /* ...la direccin indicada */
//				move(LEFT);
//				break;
//
//			case RIGHT:
//				move(LEFT);
//				move(UP);
//				move(RIGHT);
//				break;
//
//			case UP:
//				move(DOWN);
//				move(RIGHT);
//				move(UP);
//				break;
//
//			case DOWN:
//				move(UP);
//				move(LEFT);
//				move(DOWN);
//				break;
//
//			} /* switch */
//
//		} else {
//
//			switch (direction) {
//			case LEFT:
//				hilbert_level(level - 1, UP);
//				move(RIGHT);
//				hilbert_level(level - 1, LEFT);
//				move(DOWN);
//				hilbert_level(level - 1, LEFT);
//				move(LEFT);
//				hilbert_level(level - 1, DOWN);
//				break;
//
//			case RIGHT:
//				hilbert_level(level - 1, DOWN);
//				move(LEFT);
//				hilbert_level(level - 1, RIGHT);
//				move(UP);
//				hilbert_level(level - 1, RIGHT);
//				move(RIGHT);
//				hilbert_level(level - 1, UP);
//				break;
//
//			case UP:
//				hilbert_level(level - 1, LEFT);
//				move(DOWN);
//				hilbert_level(level - 1, UP);
//				move(RIGHT);
//				hilbert_level(level - 1, UP);
//				move(UP);
//				hilbert_level(level - 1, RIGHT);
//				break;
//
//			case DOWN:
//				hilbert_level(level - 1, RIGHT);
//				move(UP);
//				hilbert_level(level - 1, DOWN);
//				move(LEFT);
//				hilbert_level(level - 1, DOWN);
//				move(DOWN);
//				hilbert_level(level - 1, LEFT);
//				break;
//
//			} /* switch */
//
//		} /* if */
//
//	}
//
//	double duration = 0.5;
//
////	void generateMusic(int pitch, int depth) {
////		hilbert(depth);
////
////		int k = 0;
////		double v1 = 2*0.252, v2 = 2*0.248;
////		double pan = 0.25;
////		double inc_pan = 0.1;
////		for (int i = 0; i < vals.size(); i++) {
////			int valor = vals.get(i);
////			if (i % 2 == 0) {
////				pitch = scala[valor];
////				duration = v1/(valor+1);
////			} else {
////				pitch = scala[4+valor];
////				duration = v2/(1+valor);
////			}
////			pan = 0.5;
////			Note n = new Note(pitch, duration);
////			n.setRhythmValue(duration);
////			n.setDuration(duration);
////			n.setDynamic(64);
////			n.setPan(pan);
////			p.add(n);
////			k++;
////
////			if (pan >= 1 || pan <= 0) {
////				inc_pan = -inc_pan;
////			}
////			pan += inc_pan;
////		}
////	}
////
////	void generateMidi() {
////
////		// create a middle C minim (half note)
////
////		Note n = new Note(C4 + 16, duration);
////		n.setRhythmValue(duration);
////		// create a phrase
////
////		Phrase phr = new Phrase();
////
////		// put the note inside the phrase
////
////		phr.add(n);
////
////		generateMusic(phr, n.getPitch(), 6);
////
////		// pack the phrase into a part
////
////		Part p = new Part();
////		p.setDuration(2);
////		p.addPhrase(phr);
////		//p.setInstrument(Instrument.ACCORDION);
////		//p.setInstrument(Instrument.VIOLIN);
////		p.setInstrument(Instrument.CLARINET);
////		
////		//p.setInstrument(Instrument.HARMONICS);
////		// p.setInstrument(Instrument.FLUTE);
////		//p.setInstrument(Instrument.RECORDER);
////		// pack the part into a score titled 'Bing'
////
////		Score s = new Score("Bing");
////		// s.setTempo(Volumes.FFF);
////		s.addPart(p);
////
////		// write the score as a MIDI file to disk
////
////		String filename = "hilbert_x1";
////		Write.midi(s, filename + ".mid");
////		try {
////			new FileOutputStream(filename + ".txt").write(s.toString()
////					.getBytes());
////		} catch (FileNotFoundException e) {
////			e.printStackTrace();
////		} catch (IOException e) {
////			e.printStackTrace();
////		}
////
////		//System.out.println(s);
////
////	}
//
//	public static void main(String[] args) {
//		HilbertCurve hc = new HilbertCurve(new Vector<Integer>());
////		hc.generateMidi();
//	}
//}